"use client"

import { cn } from '@/lib/utils';
import { useState } from 'react';
import { Icons } from './ui/icons';
import { Input } from './ui/input';
import { toast } from './ui/use-toast';

interface DocsSearchProps extends React.HTMLAttributes<HTMLFormElement> { }

export default function Search({ className, ...props }: DocsSearchProps) {
    const [searchText, setSearchText] = useState('');

    function onSubmit(event: React.SyntheticEvent) {
        event.preventDefault()

        return toast({
            title: "Not implemented",
            description: "We're still working on the search.",
        })
    };

    return (
        <form
            onSubmit={onSubmit}
            className={cn("relative w-full", className)}
            {...props}
        >
            <Input
                type="search"
                placeholder="Search..."
                className="h-8 w-full sm:w-64 sm:pr-12"
            />
            <kbd className="pointer-events-none absolute right-1.5 top-1.5 hidden h-5 select-none items-center gap-1 rounded border bg-background px-1.5 font-mono text-[10px] font-medium text-muted-foreground opacity-100 sm:flex">
                <Icons.ArrowRight />
            </kbd>
        </form>
    );
}