"use client"

import { Select, SelectContent, SelectItem, SelectTrigger, SelectValue } from "@radix-ui/react-select";
import { useState } from "react";
import { Card, CardContent } from "./ui/card";

export default function Sort() {
  const [select, setSelect] = useState<string>('');

  const handleChange = (event: any) => {
    const selectedOption = event.target.value as string;
    setSelect(selectedOption);
  };

  return (
    <Card>
      <CardContent>
        <h1>Filter</h1>

        <div className="flex flex-col space-y-2">
          <label>Sort By</label>
          <Select>
            <SelectTrigger className="w-[180px]">
              <SelectValue placeholder="Theme" />
            </SelectTrigger>
            <SelectContent>
              <SelectItem value="light">Any</SelectItem>
              <SelectItem value="dark">Name</SelectItem>
            </SelectContent>
          </Select>
        </div>
      </CardContent>
    </Card>
  )
}